# class KFileFilter

### abstract class

Table of contents
Modules
kio Classes
All Classes

Module | kio
Namespace | global
Class | KFileFilter
Inherits |

A KFileFilter is a simple base class for file filters. Just reimplement passesFilter(). Base class for file filters.

### methods

- passesFilter (item)

  returns (bool)
  pure virtual

  Argument | Type | Default
  --- | --- | ---
  item | KFileItem |

  Checks the given item.

  item - the item to filter Returns true if the item passes the filter, false otherwise